VOTEQUORUM_QDEVICE_REGISTER(3)

NAME
votequorum_qdevice_register - Registers a new quorum device

SYNOPSIS
#include <corosync/votequorum.h>

int votequorum_qdevice_register(votequorum_handle_t handle, const char * name);

DESCRIPTION
The votequorum_qdevice_register is used to register a new quorum device. A quorum device is an external way of adding votes to a small cluster. The quorum device is, in effect, a pseudo node in the cluster that provide votes based on some external device, usually a shared disk partition or perhaps a network router.
This call creates the device but does not mark it active. votequorum_qdevice_poll must be called for the votes to be included in the quorum calculation.
name is string containing an informative name for the quorum device. It is simply stored by votequorum and used in the display of corosync-quorumtool, it can be a maximum of 254 characters.
The number of votes contributed by the quorum device is already known to votequorum, it is set in cmap quorum.device.votes and not by the device.
Note that it is the responsibility of the quorum device subsystem (not provided as part of votequorum) to keep all nodes informed of the quorum device status.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
@COMMONIPCERRORS@

SEE ALSO
votequorum_overview(8), votequorum_initialize(3), votequorum_finalize(3), votequorum_getinfo(3), votequorum_trackstart(3), votequorum_trackstop(3), votequorum_fd_get(3), votequorum_dispatch(3), votequorum_context_set(3), votequorum_context_get(3), votequorum_setexpected(3), votequorum_setvotes(3), votequorum_qdevice_unregister(3), votequorum_qdevice_poll(3), votequorum_qdevice_update(3), votequorum_qdevice_master_wins(3)